- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.integrations.jobs.contextProperties/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.integrations.jobs.contextProperties/delete#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.integrations.jobs.contextProperties/delete#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.integrations.jobs.contextProperties/delete#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.integrations.jobs.contextProperties/delete#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.integrations.jobs.contextProperties/delete#body.aspect_1)

**Full name**: projects.locations.instances.integrations.jobs.contextProperties.delete

Deletes a specific context property. Use this method to remove a custom data point that is no longer relevant to the context.

### HTTP request

`DELETE https://{endpoint}/v1/{name}`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the ContextProperty to delete. Format: projects/{project}/locations/{location}/instances/{instance}/contextProperties/{property-name} projects/{project}/locations/{location}/instances/{instance}/cases/{case}/contextProperties/{property-name} projects/{project}/locations/{location}/instances/{instance}/cases/{case}/caseAlerts/{alert}/contextProperties/{property-name} projects/{project}/locations/{location}/instances/{instance}/integrations/{integration}/connectors/{connector}/contextProperties/{property-name} projects/{project}/locations/{location}/instances/{instance}/integrations/{integration}/jobs/{job}/contextProperties/{property-name} |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `chronicle.contextProperties.delete`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).